@font-face {
  font-family: "Vines Sans";
  src: url("VinesSans-Regular.otf") format("opentype");
}

* {
  box-sizing: border-box;
  margin: 0;
  scroll-behavior: smooth;
}

body {
  font-family: "Vines Sans", sans-serif;
  background: #efe6ce;
}

h1 {
  text-align: center;
  font-size: 200px;
  color: white;
  font-weight: 500;
}

.hero {
  position: relative;
  background:
    linear-gradient(0deg, rgba(23, 32, 24, 0.78), rgba(23, 32, 24, 0.18)),
    url("vines-bg.jpg");
  isolation: isolate;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.hero-left {
  width: 400px;
  text-align: left;
}

.hero-right {
  font-size: 200px;
  color: black;
  font-weight: 500;
  background: white;
  opacity: 0.8;
  padding: 80px 80px;
}

.hero a {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px 40px;
  text-decoration: none;
  font-size: 28px;
  background: white;
  border-radius: 10px;
  transition: 0.2s ease-in-out;
  color: black;
  width: 300px;
  margin-left: 40px;
}

.hero a:active {
  color: black;
}

.hero a:hover {
  background: #4ade80;
}

.intro {
  margin: 75px 100px;
}

.intro-header {
  font-size: 48px;
  margin-bottom: 32px;
}

.intro-text {
  font-size: 28px;
  line-height: 1.5;
}

.carousel {
  width: 100%;
  background: #d8e78d;
  color: black;
  padding: 40px;
  border: 2px solid black;
  display: flex;
  overflow-x: auto;
}

.carousel::-webkit-scrollbar {
  display: none;
}

.carousel-group {
  width: max-content;
  display: flex;
  gap: 50px;
  justify-content: center;
  align-items: center;
  animation: spin 35s infinite linear;
  padding-right: 16px
}

.carousel-item {
  font-size: 48px;
  color: black;
  text-align: center;
  display: flex;
  white-space: nowrap;
}

@keyframes spin {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-100%);
  }
}

.font-size-section {
  margin: 50px 100px;
  font-size: 28px;
  height: 70vh;
}

.font-size-header {
  font-size: 48px;
}

.font-size-grid {
  margin-top: 32px;
  display: grid;
  background: white;
}

.font-size-number {
  display: flex;
  align-items: center;
  justify-content: center;
}

.xl,
.l,
.m,
.s {
  display: grid;
  grid-template-columns: 80px minmax(0, 1fr);
  border: 2px solid black;
  border-bottom: none;
}

.font-size-text {
  padding: 32px;
}

.xl .font-size-text {
  font-size: 72px;
}

.l .font-size-text {
  font-size: 48px;
}

.m .font-size-text {
  font-size: 32px;
}

.s .font-size-text {
  font-size: 24px;
}

.s {
  border-bottom: 2px solid black;
}

.glyph-header {
  font-size: 48px;
  margin: 30px 100px;
}

.glyph-grid {
  display: grid;
  grid-template-columns: repeat(6, minmax(0, 1fr));
  font-size: 48px;
  gap: 32px;
  margin: 0 100px;
  padding-bottom: 100px;
}

.glyph-item {
  display: flex;
  align-items: center;
  justify-content: center;
  border: 2px solid black;
  padding: 48px;
  border-radius: 5px;
}

.glyph-item:hover {
  background-color: #294433;
  color: white;
  transition: 0.2s ease-in-out;
}

.test-type {
  display: flex;
  align-items: center;
  justify-content: space-around;
  height: 50vh;
  margin: 0 100px;
  background: #294433;
  color: white;
}

.test-type-header {
  font-size: 56px;
  padding: 32px;
}

.test-type-textbox {
  padding: 32px;
  margin: 32px;
  font-size: 48px;
  background: white;
  color: black;
  min-height: 200px;
  overflow-wrap: anywhere;
  max-width: 600px;
  outline: none;
}

.import-code {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 32px;
  height: 50vh;
}

.import-code p {
  margin-top: 32px;
  font-size: 48px;
}

.code-snippet {
  margin-top: 28px;
  background: #f4f4f4;
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 32px;
}

.footer {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-top: 32px;
  font-size: 48px;
  height: 40vh;
  background: #9B7653;
  color: white;
}